Axis2/C: soap fault code

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# soap fault code
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_fault_code_t * | axiom_soap_fault_code_create_with_parent (const axutil_env_t *env, axiom_soap_fault_t *fault)
AXIS2_EXTERN axiom_soap_fault_code_t * | axiom_soap_fault_code_create_with_parent_value (const axutil_env_t *env, axiom_soap_fault_t *fault, axis2_char_t *value)
AXIS2_EXTERN void | axiom_soap_fault_code_free (axiom_soap_fault_code_t *fault_code, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_sub_code * | axiom_soap_fault_code_get_sub_code (axiom_soap_fault_code_t *fault_code, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_value * | axiom_soap_fault_code_get_value (axiom_soap_fault_code_t *fault_code, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_code_get_base_node (axiom_soap_fault_code_t *fault_code, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_soap_fault_code_t* axiom_soap_fault_code_create_with_parent | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_t * | fault |
| ) |  |  |

creates a soap fault code struct

Parameters:

  | env | Environment. MUST NOT be NULL
  | fault_code | the pointer to the AXIOM fault code struct

Returns:

AXIS2_EXTERN axiom_soap_fault_code_t* axiom_soap_fault_code_create_with_parent_value | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_t * | fault,
|  | axis2_char_t * | value |
| ) |  |  |

Parameters:

  | fault_code | the pointer to the AXIOM fault code struct
  | env | Environment. MUST NOT be NULL

Returns:

AXIS2_EXTERN void axiom_soap_fault_code_free | ( | axiom_soap_fault_code_t * | fault_code,
|  | const axutil_env_t * | env |
| ) |  |  |

Free an axiom_soap_fault_code

Parameters:

  | fault_code | pointer to soap_fault_code struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axiom_node_t* axiom_soap_fault_code_get_base_node | ( | axiom_soap_fault_code_t * | fault_code,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the base node of the SOAP fault

Parameters:

  | fault_code | the pointer to the AXIOM fault code struct
  | env | Environment. MUST NOT be NULL

Returns:
  retrns the base node of the SOAP fault

AXIS2_EXTERN struct axiom_soap_fault_sub_code* axiom_soap_fault_code_get_sub_code | ( | axiom_soap_fault_code_t * | fault_code,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Parameters:

  | fault_code | the pointer to the AXIOM fault code struct
  | env | Environment. MUST NOT be NULL

Returns:
  axiom_soap_fault_sub_code struct if one is associated with this fault_code struct , otherwise teturns NULL

AXIS2_EXTERN struct axiom_soap_fault_value* axiom_soap_fault_code_get_value | ( | axiom_soap_fault_code_t * | fault_code,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Parameters:

  | fault_code | the pointer to the AXIOM fault code struct
  | env | Environment. MUST NOT be NULL

Returns:
  soap_fault_value if available